summaryrefslogtreecommitdiffstats
path: root/source/ap/ksh93
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2011-04-25 13:37:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:45:18 +0200
commit75a4a592e5ccda30715f93563d741b83e0dcf39e (patch)
tree502f745607e77a2c4386ad38d818ddcafe81489c /source/ap/ksh93
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.gz
current-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.xz
Slackware 13.37slackware-13.37
Mon Apr 25 13:37:00 UTC 2011 Slackware 13.37 x86_64 stable is released! Thanks to everyone who pitched in on this release: the Slackware team, the folks producing upstream code, and linuxquestions.org for providing a great forum for collaboration and testing. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. As always, thanks to the Slackware community for testing, suggestions, and feedback. :-) Have fun!
Diffstat (limited to 'source/ap/ksh93')
-rwxr-xr-xsource/ap/ksh93/ksh93.SlackBuild28
1 files changed, 20 insertions, 8 deletions
diff --git a/source/ap/ksh93/ksh93.SlackBuild b/source/ap/ksh93/ksh93.SlackBuild
index 8653c89de..43023ae6c 100755
--- a/source/ap/ksh93/ksh93.SlackBuild
+++ b/source/ap/ksh93/ksh93.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2001 BSDi, Inc. Concord, CA, USA
# Copyright 2004 Slackware Linux, Inc. Concord, CA, USA
-# Copyright 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,17 +22,29 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2007-03-28
-PKGVER=2007_03_28
-# ast still considers this an i386 arch, so we'll humor it
+VERSION=2010-06-21
+PKGVER=2010_06_21
+# Not packaged?
+#KSHLOCALE=2010-02-02
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# ast considers this an i386 arch, so we'll humor it
# but package with our real arch label...
-ARCH=${ARCH:-x86_64}
if [ "$ARCH" = "x86_64" ]; then
SARCH=i386-64
else
SARCH=i386
fi
-BUILD=${BUILD:-2}
CWD=$(pwd)
TMP=/tmp/build-ksh93
@@ -55,8 +67,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-bin/package read || exit 1
-bin/package make SHELL=/bin/ash || exit 1
+/bin/ksh bin/package read || exit 1
+/bin/ksh bin/package make || exit 1
mkdir -p $PKG/bin
cp arch/linux.$SARCH/bin/ksh $PKG/bin/ksh.new